import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var ReloadLine = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-reloadLine"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h16v16H0z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8.354 1.833A6.167 6.167 0 112.45 9.785l-.05-.177.965-.26A5.169 5.169 0 0013.521 8a5.167 5.167 0 00-8.537-3.916l-.078.07-.403.387-.589.588-.693.703 2.091.001v1H1.48V2.667h1v2.495l.87-.883.573-.568.274-.262.135-.123a6.143 6.143 0 014.023-1.493z",
    fill: "currentColor"
  }))));
});
ReloadLine.displayName = "ReloadLine";
export default ReloadLine;